{pkgs, ...}: {
  packages = with pkgs; [
    nodejs_20
    nodePackages."@volar/vue-language-server"
  ];

  enterTest = ''
    npm run test:ci
    npm run lint
  '';

  dotenv.enable = true;

  languages.typescript.enable = true;

  git-hooks.hooks = {
    alejandra.enable = true;
    deadnix.enable = true;
    eslint.enable = true;
    markdownlint.enable = true;
    prettier.enable = true;
    ripsecrets.enable = true;
  };
}
