import './assets/main.css';

import { createApp } from 'vue';
import { createPinia } from 'pinia';
import PrimeVue from 'primevue/config';
import Material from '@primeuix/themes/material';
import { createLogto, type LogtoConfig } from '@logto/vue';

import App from './App.vue';
import router from './router';

console.log('================', import.meta.env);

const logtoConfig: LogtoConfig = {
  endpoint: import.meta.env.VITE_LOGTO_ENDPOINT,
  appId: import.meta.env.VITE_LOGTO_APP_ID,
};

console.log(logtoConfig);

const app = createApp(App);

app.use(createPinia());
app.use(router);
app.use(PrimeVue, {
  theme: {
    preset: Material,
  },
});
app.use(createLogto, logtoConfig);

app.mount('#app');
